/*Programm juhuslike arvude genereerimiseks*/
#include <stdio.h>
#include <time.h>   /* sisaldab funktsiooni time() */
#include <stdlib.h> /* sisaldab funktsioonide rand() ja srand() kirjeldusi*/

/*defineerime genereeritavate juhuarvude MIN ja MAX*/
#define MIN 10
#define MAX 50

int main (void)
{
	int juhuarv; /*muutuja juhuarvu salvestamiseks*/
	char valik;  /*muutuja do..while tsükli jätkamiseks*/
	
	srand(time(NULL)); /*juhuslike arvude initsialiseerimine*/
	/*loe lähemalt: http://www.cplusplus.com/reference/cstdlib/srand/*/
	
	/*miks üldjuhul kasutakase srand() vaid ühel korral - loe täpsemalt:   */
	/*																	   */
	/* Seed is usually taken from the current time, which are the seconds, */
	/* as in time(NULL), so if you always set the seed before taking the   */
	/* random number, you will get the same number as long as you call the */
	/* srand/rand combo multiple times in the same second.                 */
	/*                                                                     */
	/* allikas: http://stackoverflow.com/questions/7343833/srand-why-call-only-once */
	do
	{
		juhuarv=rand()%(MAX-MIN)+MIN;
		/* genereerib arvu vahemikus MIN .. MAX                                                    */
		/* funkrsioon rand(): http://www.tutorialspoint.com/c_standard_library/c_function_rand.htm */
		
		printf("\nGenereeritud juhuarv vahemiksut %d kuni %d on: %d\n\n", MIN, MAX, juhuarv);
		printf ("Kas soovid jätkata? (y/n)");
		fflush (stdin);     /*sisendpuhvri tühjendamine*/
		scanf("%c",&valik);
	} while (valik =='y');	
	
	    return 0;
}       
